Skip to content

List application installations.

Method

GET https://papi.afi.ai/api/v1/applications/me/installations

Description

Lists installations for the application identified by the authentication key. Use the limit and page_token query parameters to paginate through all installations.

Query params
limit int32

Maximum number of items to return per page.

page_token string

Token from the previous list operation (`next_page_token`) used to continue listing.

curl -X GET \
    -H 'Authorization: {api-key}' \
    https://papi.afi.ai/api/v1/applications/me/installations

Successful response (200) schema
object

InstallationPage contains the results of listing application installations.

next_page_token string

Token for the next page in the listing operation. Set this value as `page_token` in the subsequent request. Empty on the last page.

items array of objects

List of installations.

object

Installation describes the properties of an application installation. Applications can be installed for specific tenants or across an entire organization. In organization-wide installations, `tenant_id` is empty. Use the child organization listing API to enumerate tenants in the organization associated with the installation.

tenant_id string

Tenant where the application is installed. Empty for organization-wide installations.

org_id string

Organization where the application is installed. Empty for tenant-level installations.

Response example
{
  "next_page_token": "string",
  "items": [
    {
      "tenant_id": "string",
      "org_id": "string"
    }
  ]
}